    import TournamentStubEndpoint from 'kayn/lib/Endpoints/TournamentStubEndpoint.js'

public class | source

# TournamentStubEndpoint

#### Extends:

Endpoint~Endpoint → TournamentStubEndpoint

## Constructor Summary

Public Constructor
public | constructor() |

## Member Summary

Public Members
public | config: * |
public | create: * |
public | limiter: * |
public | serviceName: string |

## Method Summary

Public Methods
public | createTournamentCode(tournamentID: number, body: object): * Create a mock tournament code for the given tournament. |
public | lobbyEvents(tournamentCode: string): * Gets a mock list of lobby events by tournament code. |
public | register(providerID: number, name: string): * Creates a mock tournament and returns its ID. |
public | registerProviderData(region: string, url: url): * Creates a mock tournament provider and return its ID. |

## Public Constructors

### public constructor() source

## Public Members

### public config: * source

### public create: * source

### public limiter: * source

### public serviceName: string source

## Public Methods

### public createTournamentCode(tournamentID: number, body: object): * source

Create a mock tournament code for the given tournament.

Implements POST `/lol/tournament-stub/v3/codes`.

#### Params:

Name | Type | Attribute | Description
tournamentID | number |  | The ID of the tournament from /lol/tournament-stub/v3/tournaments.
body | object |  | The optional POST body to pass in. See official docs.

#### Return:

*

### public lobbyEvents(tournamentCode: string): * source

Gets a mock list of lobby events by tournament code.

Implements GET `/lol/tournament-stub/v3/lobby-events/by-code/{tournamentCode}`.

#### Params:

Name | Type | Attribute | Description
tournamentCode | string |  | The short code to look up lobby events for.

#### Return:

*

### public register(providerID: number, name: string): * source

Creates a mock tournament and returns its ID.

Implements POST `/lol/tournament-stub/v3/tournaments`.

#### Params:

Name | Type | Attribute | Description
providerID | number |  | The ID of the provider from /lol/tournament-stub/v3/providers.
name | string |  | An optional name to pass in. It'll only be used if the length is > 0.

#### Return:

*

### public registerProviderData(region: string, url: url): * source

Creates a mock tournament provider and return its ID.

Implements POST `/lol/tournament-stub/v3/providers`.

#### Params:

Name | Type | Attribute | Description
region | string |  | A region string ('na'/'euw'). Just use kayn's REGIONS dictionary.
url | url |  | The provider's callback URL to which tournament game results in this region should be posted. See official docs.

#### Return:

*